package com.ruoyi.system.service.publicservice;


import com.ruoyi.system.domain.publicservice.TPublicServiceDemand;

import java.util.List;

/**
 * 需求
 * @author wujm<wujm@eazytec.com>
 */
public interface TPublicServiceDemandService {

    /**
     * 分页查询
     * @param tPublicServiceDemand
     * @return
     */
	List<TPublicServiceDemand> listTPublicServiceDemand(TPublicServiceDemand tPublicServiceDemand);

    /**
     * 新增
     * @param tPublicServiceDemand
     * @return
     */
    int saveTPublicServiceDemand(TPublicServiceDemand tPublicServiceDemand);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TPublicServiceDemand getTPublicServiceDemandById(Long id);

    /**
     * 修改
     * @param tPublicServiceDemand
     * @return
     */
    int updateTPublicServiceDemand(TPublicServiceDemand tPublicServiceDemand);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    //获取需求编号
    String getMaxNum();
}
